[latex3-commits] [LaTeX2e] 03/06: Starting on Travis-CI support

noreply at latex-project.org noreply at latex-project.org
Thu Nov 2 19:05:54 CET 2017


This is an automated email from the git hooks/post-receive script.

joseph pushed a commit to branch master
in repository LaTeX2e.

commit 0c5240cdb47cfc7468abc2a88ca77350e6e5ce3d
Author: Joseph Wright <joseph.wright at morningstar2.co.uk>
Date:   Thu Nov 2 17:41:59 2017 +0000

    Starting on Travis-CI support
    
    This covers (hopefully) the base/graphics/tools areas, though babel in
    particular will need additional files. The fact that babel will search
    the tree is the reason latex-bin is included in the core set up (as for
    the LaTeX3 version this is based on).
---
 .travis.yml             |   19 +++++++++++++++++++
 support/texlive.profile |   10 ++++++++++
 support/texlive.sh      |   41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..4a45a3b
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,19 @@
+install:
+ - source ./support/texlive.sh
+
+cache:
+  directories:
+    - /tmp/texlive
+    - $HOME/.texlive
+
+script:
+ - texlua build.lua check -q -H
+
+notifications:
+  email:
+    recipients:
+      - latex3-commits at tug.org
+    on_success: change
+    on_failure: always
+    on_start:   never
+
diff --git a/support/texlive.profile b/support/texlive.profile
new file mode 100644
index 0000000..60905b4
--- /dev/null
+++ b/support/texlive.profile
@@ -0,0 +1,10 @@
+selected_scheme scheme-infraonly
+TEXDIR /tmp/texlive
+TEXMFCONFIG ~/.texlive/texmf-config
+TEXMFHOME ~/texmf
+TEXMFLOCAL /tmp/texlive/texmf-local
+TEXMFSYSCONFIG /tmp/texlive/texmf-config
+TEXMFSYSVAR /tmp/texlive/texmf-var
+TEXMFVAR ~/.texlive/texmf-var
+option_doc 0
+option_src 0
diff --git a/support/texlive.sh b/support/texlive.sh
new file mode 100644
index 0000000..153ccdf
--- /dev/null
+++ b/support/texlive.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env sh
+
+# This script is used for testing using Travis
+# It is intended to work on their VM set up: Ubuntu 12.04 LTS
+# A minimal current TL is installed adding only the packages that are
+# required
+
+# See if there is a cached version of TL available
+export PATH=/tmp/texlive/bin/x86_64-linux:$PATH
+if ! command -v texlua > /dev/null; then
+  # Obtain TeX Live
+  wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz
+  tar -xzf install-tl-unx.tar.gz
+  cd install-tl-20*
+
+  # Install a minimal system
+  ./install-tl --profile=../support/texlive.profile
+
+  cd ..
+fi
+
+# Needed for any use of texlua even if not testing LuaTeX
+tlmgr install luatex
+
+# The test framework itself
+tlmgr install l3build
+
+# Required to build plain and LaTeX formats:
+# TeX90 plain for unpacking, pdfLaTeX, LuaLaTeX and XeTeX for tests
+tlmgr install cm etex knuth-lib latex-bin tex tex-ini-files unicode-data \
+  xetex
+ 
+# Assuming a 'basic' font set up, metafont is required to avoid
+# warnings with some packages and errors with others
+tlmgr install metafont mfware
+
+# Keep no backups (not required, simply makes cache bigger)
+tlmgr option -- autobackup 0
+
+# Update the TL install but add nothing new
+tlmgr update --self --all --no-auto-install

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the latex3-commits mailing list